<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy VelocityGraph.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_velocity_graph_8hpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">VelocityGraph.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="_velocity_graph_8hpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef VELOCITYGRAPH_HPP</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define VELOCITYGRAPH_HPP</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#include &quot;qcustomplot.hpp&quot;</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="preprocessor">#include &quot;<a class="code" href="_framed_widget_8hpp.html">FramedWidget.hpp</a>&quot;</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="preprocessor">#include &lt;iostream&gt;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="_velocity_graph_8hpp.html#ab034cedcddb6ca27faede9802264da6d">   18</a></span><span class="preprocessor">#define GRAPH_HEIGHT 150</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="_velocity_graph_8hpp.html#ab06d3e8dbb4b7ee5c62d9cf3df4aa3e3">   19</a></span><span class="preprocessor">#define MAX_RANGE 100.0</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="class_velocity_graph.html">   31</a></span><span class="keyword">class </span><a class="code hl_class" href="class_velocity_graph.html">VelocityGraph</a> : <span class="keyword">public</span> <a class="code hl_class" href="class_framed_widget.html">FramedWidget</a></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>{</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>  Q_OBJECT</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>  <span class="keyword">private</span>:</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">   38</a></span>    QCustomPlot *<a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="class_velocity_graph.html#a4e8f2ea12d76ea86f3d9fbbe164a49a3">   42</a></span>    <span class="keywordtype">double</span> <a class="code hl_variable" href="class_velocity_graph.html#a4e8f2ea12d76ea86f3d9fbbe164a49a3">time_elapsed</a> = 0;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_velocity_graph.html#a72f9c018ae8ceafa47a32b6b9a3238b0">setVLayout</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_velocity_graph.html#a76c16fc021348ae060a8f29ffce2ebbf">setStoredWidget</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_velocity_graph.html#a4b4031c030e02241414de91769278bc7">setPlotGradient</a>();</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    <a class="code hl_class" href="class_velocity_graph.html">VelocityGraph</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *graph_title, QWidget *parent = <span class="keyword">nullptr</span>);</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_velocity_graph.html#a6f38fb49ed1209990c97f6753c35ed52">updateWheelVelocity</a>(<span class="keywordtype">int</span> velocity, <span class="keywordtype">int</span> time_interval_ms);</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>};</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span> </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span><span class="preprocessor">#endif </span><span class="comment">// VELOCITYGRAPH_HPP</span></div>
<div class="ttc" id="a_framed_widget_8hpp_html"><div class="ttname"><a href="_framed_widget_8hpp.html">FramedWidget.hpp</a></div><div class="ttdoc">Definicja klasy FramedWidget.</div></div>
<div class="ttc" id="aclass_framed_widget_html"><div class="ttname"><a href="class_framed_widget.html">FramedWidget</a></div><div class="ttdoc">Klasa bazowa głównych widgetów okna aplikacji.</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00025">FramedWidget.hpp:26</a></div></div>
<div class="ttc" id="aclass_velocity_graph_html"><div class="ttname"><a href="class_velocity_graph.html">VelocityGraph</a></div><div class="ttdoc">Wykres prędkości koła w czasie.</div><div class="ttdef"><b>Definition</b> <a href="_velocity_graph_8hpp_source.html#l00031">VelocityGraph.hpp:32</a></div></div>
<div class="ttc" id="aclass_velocity_graph_html_a4b4031c030e02241414de91769278bc7"><div class="ttname"><a href="class_velocity_graph.html#a4b4031c030e02241414de91769278bc7">VelocityGraph::setPlotGradient</a></div><div class="ttdeci">void setPlotGradient()</div><div class="ttdoc">Ustawia gradient tła wykresu.</div><div class="ttdef"><b>Definition</b> <a href="_velocity_graph_8cpp_source.html#l00096">VelocityGraph.cpp:96</a></div></div>
<div class="ttc" id="aclass_velocity_graph_html_a4e8f2ea12d76ea86f3d9fbbe164a49a3"><div class="ttname"><a href="class_velocity_graph.html#a4e8f2ea12d76ea86f3d9fbbe164a49a3">VelocityGraph::time_elapsed</a></div><div class="ttdeci">double time_elapsed</div><div class="ttdoc">Aktualny odcinek czasu między pomiarami.</div><div class="ttdef"><b>Definition</b> <a href="_velocity_graph_8hpp_source.html#l00042">VelocityGraph.hpp:42</a></div></div>
<div class="ttc" id="aclass_velocity_graph_html_a6f38fb49ed1209990c97f6753c35ed52"><div class="ttname"><a href="class_velocity_graph.html#a6f38fb49ed1209990c97f6753c35ed52">VelocityGraph::updateWheelVelocity</a></div><div class="ttdeci">void updateWheelVelocity(int velocity, int time_interval_ms)</div><div class="ttdoc">Aktualizuje dane na wykresie i przesuwa osie zgodnie z czasem.</div><div class="ttdef"><b>Definition</b> <a href="_velocity_graph_8cpp_source.html#l00109">VelocityGraph.cpp:109</a></div></div>
<div class="ttc" id="aclass_velocity_graph_html_a72f9c018ae8ceafa47a32b6b9a3238b0"><div class="ttname"><a href="class_velocity_graph.html#a72f9c018ae8ceafa47a32b6b9a3238b0">VelocityGraph::setVLayout</a></div><div class="ttdeci">void setVLayout() override</div><div class="ttdoc">Ustawia widgety pochodne w pionie.</div><div class="ttdef"><b>Definition</b> <a href="_velocity_graph_8cpp_source.html#l00084">VelocityGraph.cpp:84</a></div></div>
<div class="ttc" id="aclass_velocity_graph_html_a76c16fc021348ae060a8f29ffce2ebbf"><div class="ttname"><a href="class_velocity_graph.html#a76c16fc021348ae060a8f29ffce2ebbf">VelocityGraph::setStoredWidget</a></div><div class="ttdeci">void setStoredWidget() override</div><div class="ttdoc">Inicjalizuje widgety pochodne.</div><div class="ttdef"><b>Definition</b> <a href="_velocity_graph_8cpp_source.html#l00039">VelocityGraph.cpp:39</a></div></div>
<div class="ttc" id="aclass_velocity_graph_html_a8668d46b4caf67ae43eb3b8e12ca8a31"><div class="ttname"><a href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">VelocityGraph::graph</a></div><div class="ttdeci">QCustomPlot * graph</div><div class="ttdoc">Wykres 2D.</div><div class="ttdef"><b>Definition</b> <a href="_velocity_graph_8hpp_source.html#l00038">VelocityGraph.hpp:38</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_72345776cd6700fb0dedb8f1faaa0c00.html">inc</a></li><li class="navelem"><a class="el" href="_velocity_graph_8hpp.html">VelocityGraph.hpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
